Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model.types
Class TCAbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.TCAbstractType

Direct Known Subclasses:
  TableCellDescriptor

    public abstract class TCAbstractType

extends java.lang.Object

Table Cell Descriptor.

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  S. Ryan Ackley. Field descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format (.doc) Specification

Method Summary
`BorderCode` | `getBrcBottom()` Bottom border.
`BorderCode` | `getBrcLeft()` Left border.
`BorderCode` | `getBrcRight()` Right border.
`BorderCode` | `getBrcTop()` Top border.
`byte` | `getFtsCellPaddingBottom()` Bottom cell margin/padding units.
`byte` | `getFtsCellPaddingLeft()` Left cell margin/padding units.
`byte` | `getFtsCellPaddingRight()` Right cell margin/padding units.
`byte` | `getFtsCellPaddingTop()` Top cell margin/padding units.
`byte` | `getFtsCellSpacingBottom()` Bottom cell spacing units.
`byte` | `getFtsCellSpacingLeft()` Left cell spacing units.
`byte` | `getFtsCellSpacingRight()` Right cell spacing units.
`byte` | `getFtsCellSpacingTop()` Top cell spacing units.
`byte` | `getFtsWidth()` Units for wWidth
`byte` | `getFUnused()` Not used
`short` | `getRgf()` Get the rgf field for the TC record.
`ShadingDescriptor` | `getShd()` Cell shading.
`byte` | `getVertAlign()` Specifies the alignment of the cell contents relative to text flow (e.g.
`short` | `getWCellPaddingBottom()` Bottom cell margin/padding.
`short` | `getWCellPaddingLeft()` Left cell margin/padding.
`short` | `getWCellPaddingRight()` Right cell margin/padding.
`short` | `getWCellPaddingTop()` Top cell margin/padding.
`short` | `getWCellSpacingBottom()` Bottom cell spacing.
`short` | `getWCellSpacingLeft()` Left cell spacing.
`short` | `getWCellSpacingRight()` Right cell spacing.
`short` | `getWCellSpacingTop()` Top cell spacing.
`short` | `getWWidth()` Preferred cell width.
`boolean` | `isFBackward()` For a vertical table cell, text flow is bottom to top when 1 and is bottom to top when 0
`boolean` | `isFFirstMerged()` When 1, cell is first cell of a range of cells that have been merged.
`boolean` | `isFFitText()` When 1, make the text fit the table cell
`boolean` | `isFMerged()` When 1, cell has been merged with preceding cell
`boolean` | `isFNoWrap()` When 1, do not allow text to wrap in the table cell
`boolean` | `isFRotateFont()` When 1, cell has rotated characters (i.e.
`boolean` | `isFVertical()` When 1, cell has vertical text flow
`boolean` | `isFVertMerge()` When 1, cell is vertically merged with the cell(s) above and/or below.
`boolean` | `isFVertRestart()` When 1, the cell is the first of a set of vertically merged cells.
`void` | `setBrcBottom(BorderCode field_22_brcBottom)` Bottom border.
`void` | `setBrcLeft(BorderCode field_21_brcLeft)` Left border.
`void` | `setBrcRight(BorderCode field_23_brcRight)` Right border.
`void` | `setBrcTop(BorderCode field_20_brcTop)` Top border.
`void` | `setFBackward(boolean value)` Sets the fBackward field value.
`void` | `setFFirstMerged(boolean value)` Sets the fFirstMerged field value.
`void` | `setFFitText(boolean value)` Sets the fFitText field value.
`void` | `setFMerged(boolean value)` Sets the fMerged field value.
`void` | `setFNoWrap(boolean value)` Sets the fNoWrap field value.
`void` | `setFRotateFont(boolean value)` Sets the fRotateFont field value.
`void` | `setFtsCellPaddingBottom(byte field_10_ftsCellPaddingBottom)` Bottom cell margin/padding units.
`void` | `setFtsCellPaddingLeft(byte field_8_ftsCellPaddingLeft)` Left cell margin/padding units.
`void` | `setFtsCellPaddingRight(byte field_11_ftsCellPaddingRight)` Right cell margin/padding units.
`void` | `setFtsCellPaddingTop(byte field_9_ftsCellPaddingTop)` Top cell margin/padding units.
`void` | `setFtsCellSpacingBottom(byte field_18_ftsCellSpacingBottom)` Bottom cell spacing units.
`void` | `setFtsCellSpacingLeft(byte field_16_ftsCellSpacingLeft)` Left cell spacing units.
`void` | `setFtsCellSpacingRight(byte field_19_ftsCellSpacingRight)` Right cell spacing units.
`void` | `setFtsCellSpacingTop(byte field_17_ftsCellSpacingTop)` Top cell spacing units.
`void` | `setFtsWidth(byte value)` Sets the ftsWidth field value.
`void` | `setFUnused(byte value)` Sets the fUnused field value.
`void` | `setFVertical(boolean value)` Sets the fVertical field value.
`void` | `setFVertMerge(boolean value)` Sets the fVertMerge field value.
`void` | `setFVertRestart(boolean value)` Sets the fVertRestart field value.
`void` | `setRgf(short field_1_rgf)` Set the rgf field for the TC record.
`void` | `setShd(ShadingDescriptor field_3_shd)` Cell shading.
`void` | `setVertAlign(byte value)` Sets the vertAlign field value.
`void` | `setWCellPaddingBottom(short field_6_wCellPaddingBottom)` Bottom cell margin/padding.
`void` | `setWCellPaddingLeft(short field_4_wCellPaddingLeft)` Left cell margin/padding.
`void` | `setWCellPaddingRight(short field_7_wCellPaddingRight)` Right cell margin/padding.
`void` | `setWCellPaddingTop(short field_5_wCellPaddingTop)` Top cell margin/padding.
`void` | `setWCellSpacingBottom(short field_14_wCellSpacingBottom)` Bottom cell spacing.
`void` | `setWCellSpacingLeft(short field_12_wCellSpacingLeft)` Left cell spacing.
`void` | `setWCellSpacingRight(short field_15_wCellSpacingRight)` Right cell spacing.
`void` | `setWCellSpacingTop(short field_13_wCellSpacingTop)` Top cell spacing.
`void` | `setWWidth(short field_2_wWidth)` Preferred cell width.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getRgf

    public short getRgf()

  Get the rgf field for the TC record.

### setRgf

    public void setRgf(short field_1_rgf)

  Set the rgf field for the TC record.

### getWWidth

    public short getWWidth()

  Preferred cell width.

### setWWidth

    public void setWWidth(short field_2_wWidth)

  Preferred cell width.

### getShd

    public ShadingDescriptor getShd()

  Cell shading.

### setShd

    public void setShd(ShadingDescriptor field_3_shd)

  Cell shading.

### getWCellPaddingLeft

    public short getWCellPaddingLeft()

  Left cell margin/padding.

### setWCellPaddingLeft

    public void setWCellPaddingLeft(short field_4_wCellPaddingLeft)

  Left cell margin/padding.

### getWCellPaddingTop

    public short getWCellPaddingTop()

  Top cell margin/padding.

### setWCellPaddingTop

    public void setWCellPaddingTop(short field_5_wCellPaddingTop)

  Top cell margin/padding.

### getWCellPaddingBottom

    public short getWCellPaddingBottom()

  Bottom cell margin/padding.

### setWCellPaddingBottom

    public void setWCellPaddingBottom(short field_6_wCellPaddingBottom)

  Bottom cell margin/padding.

### getWCellPaddingRight

    public short getWCellPaddingRight()

  Right cell margin/padding.

### setWCellPaddingRight

    public void setWCellPaddingRight(short field_7_wCellPaddingRight)

  Right cell margin/padding.

### getFtsCellPaddingLeft

    public byte getFtsCellPaddingLeft()

  Left cell margin/padding units.

### setFtsCellPaddingLeft

    public void setFtsCellPaddingLeft(byte field_8_ftsCellPaddingLeft)

  Left cell margin/padding units.

### getFtsCellPaddingTop

    public byte getFtsCellPaddingTop()

  Top cell margin/padding units.

### setFtsCellPaddingTop

    public void setFtsCellPaddingTop(byte field_9_ftsCellPaddingTop)

  Top cell margin/padding units.

### getFtsCellPaddingBottom

    public byte getFtsCellPaddingBottom()

  Bottom cell margin/padding units.

### setFtsCellPaddingBottom

    public void setFtsCellPaddingBottom(byte field_10_ftsCellPaddingBottom)

  Bottom cell margin/padding units.

### getFtsCellPaddingRight

    public byte getFtsCellPaddingRight()

  Right cell margin/padding units.

### setFtsCellPaddingRight

    public void setFtsCellPaddingRight(byte field_11_ftsCellPaddingRight)

  Right cell margin/padding units.

### getWCellSpacingLeft

    public short getWCellSpacingLeft()

  Left cell spacing.

### setWCellSpacingLeft

    public void setWCellSpacingLeft(short field_12_wCellSpacingLeft)

  Left cell spacing.

### getWCellSpacingTop

    public short getWCellSpacingTop()

  Top cell spacing.

### setWCellSpacingTop

    public void setWCellSpacingTop(short field_13_wCellSpacingTop)

  Top cell spacing.

### getWCellSpacingBottom

    public short getWCellSpacingBottom()

  Bottom cell spacing.

### setWCellSpacingBottom

    public void setWCellSpacingBottom(short field_14_wCellSpacingBottom)

  Bottom cell spacing.

### getWCellSpacingRight

    public short getWCellSpacingRight()

  Right cell spacing.

### setWCellSpacingRight

    public void setWCellSpacingRight(short field_15_wCellSpacingRight)

  Right cell spacing.

### getFtsCellSpacingLeft

    public byte getFtsCellSpacingLeft()

  Left cell spacing units.

### setFtsCellSpacingLeft

    public void setFtsCellSpacingLeft(byte field_16_ftsCellSpacingLeft)

  Left cell spacing units.

### getFtsCellSpacingTop

    public byte getFtsCellSpacingTop()

  Top cell spacing units.

### setFtsCellSpacingTop

    public void setFtsCellSpacingTop(byte field_17_ftsCellSpacingTop)

  Top cell spacing units.

### getFtsCellSpacingBottom

    public byte getFtsCellSpacingBottom()

  Bottom cell spacing units.

### setFtsCellSpacingBottom

    public void setFtsCellSpacingBottom(byte field_18_ftsCellSpacingBottom)

  Bottom cell spacing units.

### getFtsCellSpacingRight

    public byte getFtsCellSpacingRight()

  Right cell spacing units.

### setFtsCellSpacingRight

    public void setFtsCellSpacingRight(byte field_19_ftsCellSpacingRight)

  Right cell spacing units.

### getBrcTop

    public BorderCode getBrcTop()

  Top border.

### setBrcTop

    public void setBrcTop(BorderCode field_20_brcTop)

  Top border.

### getBrcLeft

    public BorderCode getBrcLeft()

  Left border.

### setBrcLeft

    public void setBrcLeft(BorderCode field_21_brcLeft)

  Left border.

### getBrcBottom

    public BorderCode getBrcBottom()

  Bottom border.

### setBrcBottom

    public void setBrcBottom(BorderCode field_22_brcBottom)

  Bottom border.

### getBrcRight

    public BorderCode getBrcRight()

  Right border.

### setBrcRight

    public void setBrcRight(BorderCode field_23_brcRight)

  Right border.

### setFFirstMerged

    public void setFFirstMerged(boolean value)

  Sets the fFirstMerged field value. When 1, cell is first cell of a range of cells that have been merged. When a cell is merged, the display areas of the merged cells are consolidated and the text within the cells is interpreted as belonging to one text stream for purposes of calculating line breaks.

### isFFirstMerged

    public boolean isFFirstMerged()

  When 1, cell is first cell of a range of cells that have been merged. When a cell is merged, the display areas of the merged cells are consolidated and the text within the cells is interpreted as belonging to one text stream for purposes of calculating line breaks.

  Returns:
    the fFirstMerged field value.

### setFMerged

    public void setFMerged(boolean value)

  Sets the fMerged field value. When 1, cell has been merged with preceding cell

### isFMerged

    public boolean isFMerged()

  When 1, cell has been merged with preceding cell

  Returns:
    the fMerged field value.

### setFVertical

    public void setFVertical(boolean value)

  Sets the fVertical field value. When 1, cell has vertical text flow

### isFVertical

    public boolean isFVertical()

  When 1, cell has vertical text flow

  Returns:
    the fVertical field value.

### setFBackward

    public void setFBackward(boolean value)

  Sets the fBackward field value. For a vertical table cell, text flow is bottom to top when 1 and is bottom to top when 0

### isFBackward

    public boolean isFBackward()

  For a vertical table cell, text flow is bottom to top when 1 and is bottom to top when 0

  Returns:
    the fBackward field value.

### setFRotateFont

    public void setFRotateFont(boolean value)

  Sets the fRotateFont field value. When 1, cell has rotated characters (i.e. uses @font)

### isFRotateFont

    public boolean isFRotateFont()

  When 1, cell has rotated characters (i.e. uses @font)

  Returns:
    the fRotateFont field value.

### setFVertMerge

    public void setFVertMerge(boolean value)

  Sets the fVertMerge field value. When 1, cell is vertically merged with the cell(s) above and/or below. When cells are vertically merged, the display area of the merged cells are consolidated. The consolidated area is used to display the contents of the first vertically merged cell (the cell with fVertRestart set to 1), and all other vertically merged cells (those with fVertRestart set to 0) must be empty. Cells can only be merged vertically if their left and right boundaries are (nearly) identical (i.e. if corresponding entries in rgdxaCenter of the table rows differ by at most 3).

### isFVertMerge

    public boolean isFVertMerge()

  When 1, cell is vertically merged with the cell(s) above and/or below. When cells are vertically merged, the display area of the merged cells are consolidated. The consolidated area is used to display the contents of the first vertically merged cell (the cell with fVertRestart set to 1), and all other vertically merged cells (those with fVertRestart set to 0) must be empty. Cells can only be merged vertically if their left and right boundaries are (nearly) identical (i.e. if corresponding entries in rgdxaCenter of the table rows differ by at most 3).

  Returns:
    the fVertMerge field value.

### setFVertRestart

    public void setFVertRestart(boolean value)

  Sets the fVertRestart field value. When 1, the cell is the first of a set of vertically merged cells. The contents of a cell with fVertStart set to 1 are displayed in the consolidated area belonging to the entire set of vertically merged cells. Vertically merged cells with fVertRestart set to 0 must be empty.

### isFVertRestart

    public boolean isFVertRestart()

  When 1, the cell is the first of a set of vertically merged cells. The contents of a cell with fVertStart set to 1 are displayed in the consolidated area belonging to the entire set of vertically merged cells. Vertically merged cells with fVertRestart set to 0 must be empty.

  Returns:
    the fVertRestart field value.

### setVertAlign

    public void setVertAlign(byte value)

  Sets the vertAlign field value. Specifies the alignment of the cell contents relative to text flow (e.g. in a cell with bottom to top text flow and bottom vertical alignment, the text is shifted horizontally to match the cell's right boundary)

### getVertAlign

    public byte getVertAlign()

  Specifies the alignment of the cell contents relative to text flow (e.g. in a cell with bottom to top text flow and bottom vertical alignment, the text is shifted horizontally to match the cell's right boundary)

  Returns:
    the vertAlign field value.

### setFtsWidth

    public void setFtsWidth(byte value)

  Sets the ftsWidth field value. Units for wWidth

### getFtsWidth

    public byte getFtsWidth()

  Units for wWidth

  Returns:
    the ftsWidth field value.

### setFFitText

    public void setFFitText(boolean value)

  Sets the fFitText field value. When 1, make the text fit the table cell

### isFFitText

    public boolean isFFitText()

  When 1, make the text fit the table cell

  Returns:
    the fFitText field value.

### setFNoWrap

    public void setFNoWrap(boolean value)

  Sets the fNoWrap field value. When 1, do not allow text to wrap in the table cell

### isFNoWrap

    public boolean isFNoWrap()

  When 1, do not allow text to wrap in the table cell

  Returns:
    the fNoWrap field value.

### setFUnused

    public void setFUnused(byte value)

  Sets the fUnused field value. Not used

### getFUnused

    public byte getFUnused()

  Not used

  Returns:
    the fUnused field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD